<!DOCTYPE HTML>
<!--
	Design:
	Paradigm Shift by HTML5 UP
	html5up.net | @ajlkn
	Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
-->
<html>
	<head>
		<title>Team Chaos Lasertag</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
		<meta name="description" content="A WIP DIY superior Lasertag System with open source and hardware" />
		<meta name="keywords" content="DIY, Lasertag, Open-Source" />
		<link rel="stylesheet" href="assets/css/main.css" />
	</head>
	<body class="is-preload">

		<!-- Wrapper -->
			<div id="wrapper">

				<!-- Intro -->
					<section class="intro">
						<header>
							<h1>Team Chaos Lasertag</h1>
							<p>A WIP DIY superior Lasertag System with open source and hardware</p>
							<ul class="actions">
								<li><a href="#first" class="arrow scrolly"><span class="label">Next</span></a></li>
							</ul>
						</header>
						<div class="content">
							<span class="image fill" data-position="center" alt="Lasertag title image"><img src="images/lasertag_head.jpg.webp" alt="" /></span>
						</div>
					</section>

				<!-- Section -->
					<section id="first">
						<header>
							<h2>The project</h2>
						</header>
						<div class="content">
							<p><strong>The goal</strong> of this project is to create the world's best Lasertag system</p>
							<p>There is a large variety of commercial Lasertag systems available. However, in our opinion, they are all very limited in functionality, re-configurability and/or openness. Therefore, we decided to built our own system, creating an easily extensible, extensively configurable and feature rich system as open source or open hardware.</p>
							<p>Below you can find an overview on our system and it's features</p>
							<span class="image main" width="50%" alt="TeamChaos Lasertag Logo"><img src="images/logo2.svg" alt="" /></span>
						</div>
					</section>

				<!-- Section -->
					<section>
						<header>
							<h2>The System</h2>
						</header>
						<div class="content">
							<p><strong>The flexible system</strong> consists of many components</p>
							<ul class="feature-icons">
								<li class="icon solid fa-microchip">Powerful core player device vest</li>
								<li class="icon solid fa-ring">Additional detector headband</li>
								<li class="icon solid fa-bolt">Long-range hot-swappable taggers</li>
								<li class="icon solid fa-signal">IR beacons optionally deployed on map</li>
								<li class="icon solid fa-server">Central gameplay server</li>
								<li class="icon solid fa-mobile-alt">Player mobile phone app</li>
								<li class="icon solid fa-headset">Integrated voice chat</li>
								<li class="icon solid fa-box">Deployable motion triggered traps</li>
							</ul>
							<p>which provide the following <strong>gameplay features</strong> (non-exhaustive)</p>
							<ul >
								<li>Gamemodes like Domination, Team Deathmatch or FreeForAll</li>
								<li>Fully configurable tagger types (damage, firerate, magazine size, magazine count, reload time)</li>
								<li>Recording of all game events for later evaluation</li>
								<li>Selection of respawn methods depending on gamemode</li>
								<li>Elimination confirmation via tagger LED</li>
								<li>Acoustic and vibration feedback from player vest and headband</li>
								<li>Gamestatus announcement via mobile app</li>
							</ul>
						</div>

					</section>

				<!-- Section -->
					<section>
						<header>
							<h2>Impressions</h2>
						</header>
						<div class="content">

							<!-- Section -->
								<section>
									<header>
										<h3>The system</h3>
										<p>Taggers, vests, headbands and many LEDs.</p>
									</header>
									<div class="content">
										<div class="gallery">
											<a href="images/gallery/fulls/system_1.jpg.webp" class="landscape"><img src="images/gallery/thumbs/system_1.jpg.webp" alt="Lasertag System 1" /></a>
											<a href="images/gallery/fulls/system_2.jpg.webp"><img src="images/gallery/thumbs/system_2.jpg.webp" alt="Lasertag System 2" /></a>
											<a href="images/gallery/fulls/system_3.jpg.webp"><img src="images/gallery/thumbs/system_3.jpg.webp" alt="Lasertag System 3" /></a>
											<a href="images/gallery/fulls/system_4.jpg.webp" class="landscape"><img src="images/gallery/thumbs/system_4.jpg.webp" alt="Lasertag System 4" /></a>
											<a href="images/gallery/fulls/system_5.jpg.webp" class="landscape"><img src="images/gallery/thumbs/system_5.jpg.webp" alt="Lasertag System 5" /></a>
											<a href="images/gallery/fulls/system_6.jpg.webp"><img src="images/gallery/thumbs/system_6.jpg.webp" alt="Lasertag System 6" /></a>
											<a href="images/gallery/fulls/system_7.jpg.webp"><img src="images/gallery/thumbs/system_7.jpg.webp" alt="Lasertag System 7" /></a>
											<a href="images/gallery/fulls/system_8.jpg.webp" class="landscape"><img src="images/gallery/thumbs/system_8.jpg.webp" alt="Lasertag System 8" /></a>
										</div>
									</div>
								</section>

							<!-- Section -->
								<section>
									<header>
										<h3>The hardware</h3>
										<p>The system is based on more than six printed-circuit-boards (PCBs) featuring power control, audio playback, IR transmission and reception and digital control circuitry. While the player main device features an ESP32, most other standalone boards are controlled by ATMEL Attiny microcontrollers.</p>
									</header>
									<div class="content">
										<div class="gallery">
											<a href="images/gallery/fulls/hardware_1.jpg.webp" class="landscape"><img src="images/gallery/thumbs/hardware_1.jpg.webp" alt="Lasertag Hardware 1" /></a>
											<a href="images/gallery/fulls/hardware_2.jpg.webp" class="landscape"><img src="images/gallery/thumbs/hardware_2.jpg.webp" alt="Lasertag Hardware 2" /></a>
											<a href="images/gallery/fulls/hardware_3.jpg.webp" class="landscape"><img src="images/gallery/thumbs/hardware_3.jpg.webp" alt="Lasertag Hardware 3" /></a>
											<a href="images/gallery/fulls/hardware_4.jpg.webp" class="landscape"><img src="images/gallery/thumbs/hardware_4.jpg.webp" alt="Lasertag Hardware 4" /></a>
											<a href="images/gallery/fulls/hardware_5.jpg.webp" class="landscape"><img src="images/gallery/thumbs/hardware_5.jpg.webp" alt="Lasertag Hardware 5" /></a>
											<a href="images/gallery/fulls/hardware_6.jpg.webp" class="landscape"><img src="images/gallery/thumbs/hardware_6.jpg.webp" alt="Lasertag Hardware 6" /></a>
											<a href="images/gallery/fulls/hardware_7.jpg.webp" class="landscape"><img src="images/gallery/thumbs/hardware_7.jpg.webp" alt="Lasertag Hardware 7" /></a>
											<a href="images/gallery/fulls/hardware_8.jpg.webp" class="landscape"><img src="images/gallery/thumbs/hardware_8.jpg.webp" alt="Lasertag Hardware 8" /></a>
											<a href="images/gallery/fulls/hardware_9.jpg.webp" class="landscape"><img src="images/gallery/thumbs/hardware_9.jpg.webp" alt="Lasertag Hardware 9" /></a>

										</div>
									</div>
								</section>

							<!-- Section -->
							<section>
								<header>
									<h3>The software</h3>
									<p>Besides firmware for each of the microcontrollers and the main player device, the project features a game managing (web-)server and mobile app providing live scoreboard and feedback as well as an integrated voice communication system.</p>
								</header>
								<div class="content">
									<div class="gallery">
										<a href="images/gallery/fulls/software_1.jpg.webp" class="landscape"><img src="images/gallery/thumbs/software_1.jpg.webp" alt="" /></a>
										<a href="images/gallery/fulls/software_2.jpg.webp" class="landscape"><img src="images/gallery/thumbs/software_2.jpg.webp" alt="" /></a>
										<a href="images/gallery/fulls/software_3.png" class="landscape"><img src="images/gallery/thumbs/software_3.png" alt="" /></a>
										<a href="images/gallery/fulls/software_4.png" class="landscape"><img src="images/gallery/thumbs/software_4.png" alt="" /></a>
										<a href="images/gallery/fulls/software_5.svg" class="landscape"><img src="images/gallery/fulls/software_5.svg" alt="" /></a>

									</div>
								</div>
							</section>

							<!-- Section -->
								<section>
									<header>
										<h3>The development</h3>
										<p>During the, still on-going, development, many prototypes have been built and extensive testing has been performed.</p>
									</header>
									<div class="content">
										<div class="gallery">
											<a href="images/gallery/fulls/development_1.jpg.webp" class="portrait"><img src="images/gallery/thumbs/development_1.jpg.webp" alt="" /></a>
											<a href="images/gallery/fulls/development_2.jpg.webp" class="portrait"><img src="images/gallery/thumbs/development_2.jpg.webp" alt="" /></a>
											<a href="images/gallery/fulls/development_3.jpg.webp" class="portrait"><img src="images/gallery/thumbs/development_3.jpg.webp" alt="" /></a>
											<a href="images/gallery/fulls/development_4.jpg.webp" class="portrait"><img src="images/gallery/thumbs/development_4.jpg.webp" alt="" /></a>
											<a href="images/gallery/fulls/development_5.jpg.webp" class="portrait"><img src="images/gallery/thumbs/development_5.jpg.webp" alt="" /></a>
											<a href="images/gallery/fulls/development_6.jpg.webp" class="portrait"><img src="images/gallery/thumbs/development_6.jpg.webp" alt="" /></a>
											<a href="images/gallery/fulls/development_7.jpg.webp" class="portrait"><img src="images/gallery/thumbs/development_7.jpg.webp" alt="" /></a>
											<a href="images/gallery/fulls/development_8.jpg.webp" class="portrait"><img src="images/gallery/thumbs/development_8.jpg.webp" alt="" /></a>
											<a href="images/gallery/fulls/development_9.jpg.webp" class="portrait"><img src="images/gallery/thumbs/development_9.jpg.webp" alt="" /></a>
											<a href="images/gallery/fulls/development_10.jpg.webp" class="portrait"><img src="images/gallery/thumbs/development_10.jpg.webp" alt="" /></a>

										</div>
									</div>
								</section>

						</div>
					</section>

				<!-- Section -->
					<section>
						<header>
							<h2>Links</h2>
						</header>
						<div class="content">
							<p><strong>More information</strong> can be found on or more technical gitlab pages or in our various source repositories</p>
							<ul class="actions">
								<li><a href="https://teamchaos.gitlab.io/Lasertag/overview.html" class="button primary large">Technical overview</a></li>
								<li><a href="https://gitlab.com/TeamChaos/LaserTag" class="button large">Gitlab repositories</a></li>
							</ul>
						</div>
					</section>




				<!-- Copyright -->
					<div class="copyright">&copy; Team Chaos 2022 - <a href="https://maxgb.de/impressum.html">Impressum</a> - Design: <a href="https://html5up.net">HTML5 UP</a>.</div>

			</div>

		<!-- Scripts -->
			<script src="assets/js/jquery.min.js"></script>
			<script src="assets/js/jquery.scrolly.min.js"></script>
			<script src="assets/js/browser.min.js"></script>
			<script src="assets/js/breakpoints.min.js"></script>
			<script src="assets/js/util.js"></script>
			<script src="assets/js/main.js"></script>

	</body>
</html>